Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 151569 - dev-embedded/tigcc-0.95-r2 fails to compile
Summary: dev-embedded/tigcc-0.95-r2 fails to compile
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Other
: High normal (vote)
Assignee: Embedded Team (OBSOLETE)
URL:
Whiteboard:
Keywords:
Depends on: 337059 412487
Blocks:
  Show dependency tree
 
Reported: 2006-10-16 03:49 UTC by Evil Compile Person
Modified: 2012-04-30 02:53 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Evil Compile Person 2006-10-16 03:49:31 UTC
make[3]: Leaving directory `/var/tmp/portage/tigcc-0.95-r2/work/build/binutils/gas/po'
make[3]: Entering directory `/var/tmp/portage/tigcc-0.95-r2/work/build/binutils/gas'
gcc -DHAVE_CONFIG_H -I. -I/var/tmp/portage/tigcc-0.95-r2/work/binutils-2.14/gas -I. -D_GNU_SOURCE -I. -I/var/tmp/portage/tigcc-0.95-r2/work/binutils-2.14/gas -I../bfd -I/var/tmp/portage/tigcc-0.95-r2/work/binutils-2.14/gas/config -I/var/tmp/portage/tigcc-0.95-r2/work/binutils-2.14/gas/../include -I/var/tmp/portage/tigcc-0.95-r2/work/binutils-2.14/gas/.. -I/var/tmp/portage/tigcc-0.95-r2/work/binutils-2.14/gas/../bfd -I/var/tmp/portage/tigcc-0.95-r2/work/binutils-2.14/gas/../intl -I../intl -DLOCALEDIR="\"/usr/local/share/locale\""   -W -Wall -Wstrict-prototypes -Wmissing-prototypes -O2 -march=i686 -pipe -c /var/tmp/portage/tigcc-0.95-r2/work/binutils-2.14/gas/app.c
In file included from ./targ-cpu.h:1,
                 from /var/tmp/portage/tigcc-0.95-r2/work/binutils-2.14/gas/config/obj-coff.h:38,
                 from ./obj-format.h:1,
                 from /var/tmp/portage/tigcc-0.95-r2/work/binutils-2.14/gas/config/te-generic.h:19,
                 from ./targ-env.h:1,
                 from /var/tmp/portage/tigcc-0.95-r2/work/binutils-2.14/gas/as.h:630,
                 from /var/tmp/portage/tigcc-0.95-r2/work/binutils-2.14/gas/app.c:30:
/var/tmp/portage/tigcc-0.95-r2/work/binutils-2.14/gas/config/tc-m68k.h:209: error: array type has incomplete element type
make[3]: *** [app.o] Error 1
make[3]: Leaving directory `/var/tmp/portage/tigcc-0.95-r2/work/build/binutils/gas'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/tigcc-0.95-r2/work/build/binutils/gas'
make[1]: *** [all-recursive-am] Error 2
make[1]: Leaving directory `/var/tmp/portage/tigcc-0.95-r2/work/build/binutils/gas'
make: *** [all-gas] Error 2

!!! ERROR: dev-embedded/tigcc-0.95-r2 failed.

Gentoo Base System version 1.12.5
Portage 2.1.1 (default-linux/x86/2006.1, gcc-4.1.1, glibc-2.4-r3, 2.6.16.16 i686)
=================================================================
System uname: 2.6.16.16 i686 AMD Athlon(tm) 64 Processor 3200+
Last Sync: Sun, 15 Oct 2006 08:20:01 +0000
ccache version 2.3 [disabled]
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: [Not Present]
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.3
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r4
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r1
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/terminfo"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="ftp://212.219.56.134/sites/www.ibiblio.org/gentoo/ ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo"
LINGUAS=""
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 berkdb bitmap-fonts cli crypt cups dlloader dri elibc_glibc fortran gdbm gpm input_devices_evdev input_devices_keyboard input_devices_mouse ipv6 isdnlog kernel_linux libg++ ncurses nls nptl nptlonly pam pcre perl ppds pppd python readline reflection session spl ssl tcpd truetype-fonts type1-fonts udev unicode userland_GNU video_cards_apm video_cards_ark video_cards_ati video_cards_chips video_cards_cirrus video_cards_cyrix video_cards_dummy video_cards_fbdev video_cards_glint video_cards_i128 video_cards_i740 video_cards_i810 video_cards_imstt video_cards_mga video_cards_neomagic video_cards_nsc video_cards_nv video_cards_rendition video_cards_s3 video_cards_s3virge video_cards_savage video_cards_siliconmotion video_cards_sis video_cards_sisusb video_cards_tdfx video_cards_tga video_cards_trident video_cards_tseng video_cards_v4l video_cards_vesa video_cards_vga video_cards_via video_cards_vmware video_cards_voodoo xorg zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, MAKEOPTS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 1 Daniel Black (RETIRED) gentoo-dev 2006-11-03 17:28:32 UTC
please try recently added tigcc-0.96_beta8 
Comment 2 Evil Compile Person 2008-01-05 02:04:11 UTC
Sorry for the long wait :)

Bug 204379 was the result of trying the newer version, once that is fixed I hope it should work.
Comment 3 Denis Dupeyron gentoo-dev 2008-01-05 10:27:10 UTC
(In reply to comment #1)
> please try recently added tigcc-0.96_beta8 

You meant beta7, right ? I saw upstream released beta8, but it seems the changes aren't that minor and I haven't really looked into it yet.

(In reply to comment #2)
> Bug 204379 was the result of trying the newer version, once that is fixed I
> hope it should work.

I fixed the new version, so we'll keep this bug opened until it can be stabilized.

Denis.
Comment 4 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2011-11-17 08:12:39 UTC
(In reply to comment #3)
> I fixed the new version, so we'll keep this bug opened until it can be
> stabilized.

Can it be stabilized now, i.e. 3.5 years later? I just hit this bug while testing reverse dependencies.
Comment 5 Pacho Ramos gentoo-dev 2012-03-19 11:47:53 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > I fixed the new version, so we'll keep this bug opened until it can be
> > stabilized.
> 
> Can it be stabilized now, i.e. 3.5 years later? I just hit this bug while
> testing reverse dependencies.

Looks like it has a buffer overflow bug :S
Comment 6 SpanKY gentoo-dev 2012-04-30 02:53:45 UTC
i've stabilized tigcc-0.96_beta7